From 270d46e909d13021be87c860243a9bfbe04f37f8 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 07 2017 16:03:58 +0000
Subject: [PATCH 3/51] check if description ends in a period


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 109b134..f29b3a0 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -118,3 +118,9 @@ class ModuleMDLinter(object):
     def lint_summary_no_trailing_period(self):
         """The summary SHOULD NOT end in a period."""
         assert not self.mmd.summary.strip().endswith(".")
+
+    @warning
+    @guidelines_link('#Module_summary_and_description')
+    def lint_description_ends_in_period(self):
+        """The description SHOULD end in a period."""
+        assert self.mmd.description.strip().endswith(".")

